---
title: Watch or subscribe to a page or set of pages
slug: MDN/Tools/Page_watching
tags:
  - Guide
  - MDN Meta
  - Page-level
  - Tools
---
<div>{{MDNSidebar}}</div>

<p><span class="seoSummary">Subscribing to a page on MDN allows you to be notified by email whenever it is updated or changed.</span> The Watch button is located at the top-right hand corner of every MDN page. To access the subscription options, hover over the Watch button to disclose the Watch menu:</p>

<p><img alt="Screenshot of MDN's Watch menu" src="https://mdn.mozillademos.org/files/12551/MDN_-_Watch_Menu.png" style="border-style: solid; border-width: 1px; display: block; height: 298px; margin: 0 auto; width: 463px;"></p>

<p>Select an option to watch only that one page or that page and its sub-pages.</p>

<h2 id="Subscribe_to_a_page">Subscribe to a page</h2>

<p>Click the first option, "Subscribe to <em>Page Title</em>" to receive an email notification each time a user edits only that one page.</p>

<h2 id="Subscribe_to_a_page_and_all_its_sub-articles">Subscribe to a page and all its sub-articles</h2>

<p>Click the second option, "Subscribe to <em>Page Title</em> and all its sub-articles", to receive an email notification each time a user edits that page as well as any of its sub-pages. This includes sub-pages added after you requested the subscription, so if more sub-pages are created in the future, you'll get notifications for those as well.</p>

<h2 id="Unsubscribe_from_a_page">Unsubscribe from a page</h2>

<p>To unsubscribe and stop watching a page, open the Watch menu again and click "Unsubscribe from <em>Page Title</em> ". You will only see "Unsubscribe from <em>Page Title</em>" if you are subscribed to a page. You will no longer receive an email each time the page is changed.</p>

<h2 id="The_page_change_emails">The page change emails</h2>

<p>If you are subscribed to a page, each time a change is saved you'll get an email. These emails come from notifications@developer.mozilla.org and are sent to the email address registered to your MDN account. Each message has a title of the form:</p>

<pre class="notranslate">[MDN] Page "<em>Page title</em>" changed by <em>username</em></pre>

<p>The message starts with a repeat of the information in the title, then presents a standard diff of the content, showing exactly what changed. The changes are shown as HTML source code, which can be a little weird to read if you're not used to it in the context of MDN.</p>

<p>Below the diff there is a list of useful links that you can use to act on the change, including:</p>

<ul>
 <li>View the MDN profile of the user that made the change</li>
 <li>Compare the previous and new versions of the page using MDN's on-site history feature</li>
 <li>View the article itself in your browser</li>
 <li>Edit the article</li>
 <li>See the article's history</li>
</ul>

<p>At the bottom of the email, there is a notification stating what subscription generated the email, such as "You are subscribed to edits on: HTML element reference and all its sub-articles", as well as a link to unsubscribe. If you click the link to unsubscribe, you will no longer receive messages for this watch request.</p>
